Subject: Re: [PATCH v1 0/7] t: fix unused files, part 1

From: Junio C Hamano <[email-masked]>
Date: Mon, 13 Mar 2023 15:41:44 -0700

Andrei Rybak <[email-masked]> writes:

> Here are the fixes for the issues I've found so far -- I've gone through t0???
> and t1???.

I think it is better not to insist that a failing 'mktree' is
silent, and I think the filename "unchanged" is understandable and
is unfair to call it "misleading" (but the patch itself to remove
the line that creates the unused file makes perfect sense).  Other
than these two small nits, I found everything else in the series
good changes.

Thanks for a pleasant read.

>
> Andrei Rybak (7):
>   t1005: assert output of ls-files
>   t1006: assert error output of cat-file
>   t1010: assert empty output of mktree
>   t1302: don't create unused file
>   t1400: assert output of update-ref
>   t1404: don't create unused file
>   t1507: assert output of rev-parse
>
>  t/t1005-read-tree-reset.sh    | 15 ++++++++++-----
>  t/t1006-cat-file.sh           |  3 ++-
>  t/t1010-mktree.sh             |  6 ++++--
>  t/t1302-repo-version.sh       |  2 +-
>  t/t1400-update-ref.sh         |  3 +++
>  t/t1404-update-ref-errors.sh  |  1 -
>  t/t1507-rev-parse-upstream.sh |  6 ++++--
>  7 files changed, 24 insertions(+), 12 deletions(-)